!   the coefficients derived from the Taylor expansion
    
    subroutine taylorcoef(theta, alpha, n, g)
    
    implicit integer(kind=4) (i-n)
    implicit real(kind=8)    (a-h,o-z)
    
    complex(kind=8) theta, g(0:n)
    
    g = dcmplx(0.d0,0.d0)
    
    g(0) = dcmplx(1.d0,0.d0)
    
    do i=1, n
        g(i) = g(i-1) * (alpha - i + 1) * theta / dble(i)
    end do
    
    return
    
    end subroutine taylorcoef
    